using System;
using System.Text;
using System.Linq;
using System.Collections.Generic;

/// @author Antti-Jussi
/// @version 24.03.2025
/// <summary>
/// 
/// </summary>
public class T3_Rekursio3
{
    /// <summary>
    /// 
    /// </summary>
    public static void Main()
    {
        string mjono = "Kolme miestä istuu saunassa";
        int lkm = LaskeMerkit(mjono, 'A');
        Console.WriteLine(lkm); // 3
    }

    /// <summary>
    /// Laske merkit rekursiivisesti
    /// </summary>
    /// <param name="jono"></param>
    /// <param name="etsittavaMerkki"></param>
    /// <returns></returns>
    public static int LaskeMerkit(string jono, char etsittavaMerkki)
    {
        if (jono.Length == 0) return 0;
        int eka = 0;
        if (char.ToLower(jono[0]) == char.ToLower(etsittavaMerkki)) eka++;
        return eka + LaskeMerkit(jono.Substring(1), etsittavaMerkki);
    }
}